Bug 26735 - Overdrive login modal broken in the OPAC
Summary: Overdrive login modal broken in the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
: 26748 (view as bug list)
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-19 10:55 UTC by Owen Leonard
Modified: 2020-11-13 18:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26735: Overdrive login modal broken in the OPAC (3.19 KB, patch)
2020-10-20 12:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26735: Overdrive login modal broken in the OPAC (3.24 KB, patch)
2020-10-20 13:04 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-19 10:55:58 UTC
The Overdrive login modal was broken by the Bootstrap 4 upgrade.
Comment 1 Owen Leonard 2020-10-20 12:39:07 UTC
*** Bug 26748 has been marked as a duplicate of this bug. ***
Comment 2 Owen Leonard 2020-10-20 12:49:10 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2020-10-20 13:04:27 UTC
Created attachment 112032 [details] [review]
Bug 26735: Overdrive login modal broken in the OPAC

This patch makes corrections to the markup for the Overdrive login modal
in the OPAC. It hadn't been updated during the upgrade to Bootstrap 4.

To test, apply the patch and enable the system
preferences required for Overdrive integration.

- Log in to the OPAC.
- On the "Your summary" page open the "OverDrive Account" tab.
- Click the "Log in to your OverDrive account" link.
- The modal should appear and look correct.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2020-10-20 13:05:10 UTC
Small fix, passing QA after testing with OD credentials
Comment 5 Jonathan Druart 2020-10-22 08:25:33 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 18:14:35 UTC
missing dependencies for 20.05.x, no backport